.file-field {
    padding: 0;
    cursor: pointer;
    border-radius: 5px;
    white-space: nowrap;
    font-size: rem(12);
    line-height: rem(16);
    max-width: 100%;
    font-weight: 400;
    overflow: hidden;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    text-decoration: none;
    column-gap: rem(8);
    row-gap: rem(8);

    &:hover {
        fill: var(--green);
        color: var(--green);
        text-decoration: none;
    }

    input {
        top: 0;
        left: 0;
        width: 1px;
        height: 1px;
        opacity: 0;
        display: block;
        overflow: hidden;
        position: absolute;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(24);
        flex-shrink: 0;
    }

    &__name {
        border-bottom: 1px dashed var(--green-1);
    }
}
